Package de.willuhn.jameica.hbci.server

# Class NachrichtImpl

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
de.willuhn.datasource.db.AbstractDBObject
de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject
de.willuhn.jameica.hbci.server.NachrichtImpl

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.rmi.Transactionable`, `HibiscusDBObject`, `Nachricht`, `Serializable`, `Remote`

public class NachrichtImpl extends AbstractHibiscusDBObject implements Nachricht
Implementierung der System-Nachrichten einer Bank.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.rmi.server.RemoteObject

`ref`

## Constructor Summary

Constructors
Constructor
Description
`NachrichtImpl()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getBLZ()`
Liefert die BLZ dieser Nachricht.
`Date`
`getDatum()`
Liefert das Datum der Nachricht.
`String`
`getNachricht()`
Liefert den Nachrichtentext.
`String`
`getPrimaryAttribute()`
`protected String`
`getTableName()`
`protected void`
`insertCheck()`
`boolean`
`isGelesen()`
Prueft, ob die Nachricht bereits gelesen wurde.
`void`
`setBLZ(String blz)`
Speichert die BLZ.
`void`
`setDatum(Date datum)`
Speichert das Datum.
`void`
`setGelesen(boolean b)`
Markiert die Nachricht als gelesen/ungelesen.
`void`
`setNachricht(String nachricht)`
Speichert den Nachrichtentext.
`void`
`store()`
`protected void`
`updateCheck()`

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject

`delete, getMeta, setMeta`

### Methods inherited from class de.willuhn.datasource.db.AbstractDBObject

`addDeleteListener, addStoreListener, clear, deleteCheck, equals, getAttribute, getAttributeNames, getAttributeType, getForeignObject, getID, getIDField, getInsertSQL, getList, getListQuery, getLoadQuery, getService, getUpdateSQL, hasChanged, hasChanged, init, insert, isNewObject, load, overwrite, removeDeleteListener, removeStoreListener, setAttribute, setID, setService, transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from class java.rmi.server.UnicastRemoteObject

`clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

### Methods inherited from class java.rmi.server.RemoteServer

`getClientHost, getLog, setLog`

### Methods inherited from class java.rmi.server.RemoteObject

`equals, getRef, hashCode, toString, toStub`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

## Constructor Details

### NachrichtImpl

public NachrichtImpl() throws RemoteException

Throws:
  `RemoteException`

## Method Details

### getTableName

protected String getTableName()

Specified by:
  `getTableName` in class `de.willuhn.datasource.db.AbstractDBObject`
See Also:
  - `AbstractDBObject.getTableName()`

### getPrimaryAttribute

public String getPrimaryAttribute() throws RemoteException

Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.rmi.DBObject`
Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.GenericObject`
Specified by:
  `getPrimaryAttribute` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getPrimaryAttribute()`

### insertCheck

protected void insertCheck() throws de.willuhn.util.ApplicationException

Overrides:
  `insertCheck` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.insertCheck()`

### updateCheck

protected void updateCheck() throws de.willuhn.util.ApplicationException

Overrides:
  `updateCheck` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.updateCheck()`

### getBLZ

public String getBLZ() throws RemoteException
Description copied from interface: `Nachricht`
Liefert die BLZ dieser Nachricht.

Specified by:
  `getBLZ` in interface `Nachricht`
Returns:
  BLZ
Throws:
  `RemoteException`
See Also:
  - `Nachricht.getBLZ()`

### getDatum

public Date getDatum() throws RemoteException
Description copied from interface: `Nachricht`
Liefert das Datum der Nachricht.

Specified by:
  `getDatum` in interface `Nachricht`
Returns:
  Datum
Throws:
  `RemoteException`
See Also:
  - `Nachricht.getDatum()`

### isGelesen

public boolean isGelesen() throws RemoteException
Description copied from interface: `Nachricht`
Prueft, ob die Nachricht bereits gelesen wurde.

Specified by:
  `isGelesen` in interface `Nachricht`
Returns:
  true, wenn sie gelesen wurde.
Throws:
  `RemoteException`
See Also:
  - `Nachricht.isGelesen()`

### getNachricht

public String getNachricht() throws RemoteException
Description copied from interface: `Nachricht`
Liefert den Nachrichtentext.

Specified by:
  `getNachricht` in interface `Nachricht`
Returns:
  Nachrichtentext.
Throws:
  `RemoteException`
See Also:
  - `Nachricht.getNachricht()`

### setBLZ

public void setBLZ(String blz) throws RemoteException
Description copied from interface: `Nachricht`
Speichert die BLZ.

Specified by:
  `setBLZ` in interface `Nachricht`
Parameters:
  `blz` -
Throws:
  `RemoteException`
See Also:
  - `Nachricht.setBLZ(java.lang.String)`

### setDatum

public void setDatum(Date datum) throws RemoteException
Description copied from interface: `Nachricht`
Speichert das Datum.

Specified by:
  `setDatum` in interface `Nachricht`
Parameters:
  `datum` -
Throws:
  `RemoteException`
See Also:
  - `Nachricht.setDatum(java.util.Date)`

### setGelesen

public void setGelesen(boolean b) throws RemoteException
Description copied from interface: `Nachricht`
Markiert die Nachricht als gelesen/ungelesen.

Specified by:
  `setGelesen` in interface `Nachricht`
Parameters:
  `b` -
Throws:
  `RemoteException`
See Also:
  - `Nachricht.setGelesen(boolean)`

### setNachricht

public void setNachricht(String nachricht) throws RemoteException
Description copied from interface: `Nachricht`
Speichert den Nachrichtentext.

Specified by:
  `setNachricht` in interface `Nachricht`
Parameters:
  `nachricht` -
Throws:
  `RemoteException`
See Also:
  - `Nachricht.setNachricht(java.lang.String)`

### store

public void store() throws RemoteException, de.willuhn.util.ApplicationException

Specified by:
  `store` in interface `de.willuhn.datasource.rmi.Changeable`
Overrides:
  `store` in class `AbstractHibiscusDBObject`
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `Changeable.store()`